Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.value
Interface BinaryFactory

All Superinterfaces:
  ValueFactory<BinaryValue>

All Known Implementing Classes:
  BinaryStoreValueFactory

    @ThreadSafe
    public interface BinaryFactory

extends ValueFactory<BinaryValue>

A factory for creating `BinaryValue` instances. This interface extends the `ValueFactory` generic interface and adds specific methods for creating binary objects.

Field Summary

Fields inherited from interface org.modeshape.jcr.value.ValueFactory
`DEFAULT_DECODER, DEFAULT_ENCODER`

Method Summary
`BinaryValue` | `find(BinaryKey secureHash, long size)` Find an existing binary value given the supplied binary key.

Methods inherited from interface org.modeshape.jcr.value.ValueFactory
`create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, getPropertyType`

Method Detail

### find

    BinaryValue find(BinaryKey secureHash,
                     long size)
                     throws BinaryStoreException

  Find an existing binary value given the supplied binary key. If no such binary value exists, null is returned. This method can be used when the caller knows the secure hash (e.g., from a previously-held Binary object), and would like to reuse an existing binary value (if possible).

  Parameters:
    `secureHash` - the secure hash of the binary content, which was probably `obtained` from a previously-held `BinaryValue` object; a null or empty value is allowed, but will always result in returning null
    `size` - the size of the binary content
  Returns:
    the existing Binary value that has the same secure hash; never null
  Throws:
    `BinaryStoreException` - if there is a problem accessing the binary store

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.